Skip to main content
POST
/
skillsets
Create Skillset
curl --request POST \
  --url https://api.roostedhr.com/api/1_12/skillsets \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "role_title": "<string>",
  "on_for_new_signups": 0,
  "default_time": "13:00",
  "default_comments": "<string>",
  "default_wage": 1,
  "client_portal_access": 0
}
'
{ "id": 123, "role_title": "<string>", "default_time": "13:00", "default_comments": "<string>", "default_payroll_group": "<string>", "on_for_new_signups": 0, "client_portal_access": 0 }
Only role_title is required. All other fields are optional and will use system defaults if omitted.
Set on_for_new_signups to 1 to automatically assign this skillset to all new workers when they sign up.

Authorizations

X-API-KEY
string
header
required

Body

application/json

Skillset data

Request body for creating a new skillset.

role_title
string
required

Skillset name

Required string length: 1 - 75
on_for_new_signups
integer

Auto-assign to new workers (0 = no, 1 = yes)

Required range: 0 <= x <= 1
default_time
string<time>

Default shift start time (HH:mm)

Example:

"13:00"

default_comments
string

Default shift comments

Maximum string length: 65535
default_wage
integer

Default wage in cents

Required range: x >= 0
client_portal_access
integer

Visible in client portal (0 = no, 1 = yes)

Required range: 0 <= x <= 1

Response

Created

A skillset (role) that can be assigned to workers and shifts.

id
integer

Skillset identifier

role_title
string

Skillset name

default_time
string

Default shift start time (HH:mm)

Example:

"13:00"

default_comments
string | null

Default shift comments

default_payroll_group
string | null

Default payroll group code

on_for_new_signups
integer

Whether this skillset is auto-assigned to new workers (0 = no, 1 = yes)

Required range: 0 <= x <= 1
client_portal_access
integer

Whether this skillset is visible in the client portal (0 = no, 1 = yes)

Required range: 0 <= x <= 1